Skip to navigation

Delete Operating System

View as Markdown

Delete an Operating System by ID

An Operating System being used by one or more Instances cannot be deleted. Delete the associated Instances before retrying.

If the Operating System has infrastructureProviderId set, then org must have an Infrastructure Provider entity and its ID should match the Operating System Infrastructure Provider ID. User must have authorization role with PROVIDER_ADMIN suffix.

If the Operating System has tenantId set, then org must have a Tenant entity and its ID should match the Operating System Tenant ID. User must have authorization role with TENANT_ADMIN suffix.

Authentication

AuthorizationBearer
export JWT_BEARER_TOKEN="<jwt-bearer-token>"

# Example org name: "acme-inc
export ORG_NAME=<org-name>

# Use the JWT bearer token in your API request auth header:
curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current

Path parameters

orgstringRequired
Name of the Org
operatingSystemIdstringRequired
ID of the Operating System

Response

Deletion request was accepted
messagestring

Human-readable outcome of the request

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error